
Redmine - Defect #40143

Cant reach issues under Project "404 The page you were trying to access doesn't exist or has been

removed."

2024-01-29 11:04 - Pavan Pulaparthi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.4

Description

Hei guys,

I am seeking help for an issue appeared out of blue a few days ago.

I am mentioning two issues im currently facing with redmine server.

I have limited experience so, please pardon me if you find someting silly.

The "issues tab" under "Projects" is giving "404 The page you were trying to access doesn't exist or has been removed.".

But i can access issues from "Activity" from Home page.

Here is the production log

I, [2024-01-27T13:24:03.066643 #59998]  INFO -- : [2db514bc-e944-479e-983c-2f7e4ee266a2] Processing by

AccountController#login as HTML

I, [2024-01-27T13:24:03.066701 #59998]  INFO -- : [2db514bc-e944-479e-983c-2f7e4ee266a2]   Parameters:

{"back_url"=>"https://srvr-rdmn.sensom.net/"}

I, [2024-01-27T13:24:03.068257 #59998]  INFO -- : [2db514bc-e944-479e-983c-2f7e4ee266a2]   Current user: anonymous

I, [2024-01-27T13:24:03.070629 #59998]  INFO -- : [2db514bc-e944-479e-983c-2f7e4ee266a2]   Rendered account/login.html.erb

within layouts/base (Duration: 1.7ms | Allocations: 677)

I, [2024-01-27T13:24:03.077981 #59998]  INFO -- : [2db514bc-e944-479e-983c-2f7e4ee266a2]   Rendered layout

layouts/base.html.erb (Duration: 9.0ms | Allocations: 4644)

I, [2024-01-27T13:24:03.078353 #59998]  INFO -- : [2db514bc-e944-479e-983c-2f7e4ee266a2] Completed 200 OK in 11ms (Views:

9.1ms | ActiveRecord: 0.9ms | Allocations: 5409)

I, [2024-01-27T13:24:03.237581 #59998]  INFO -- : [714436f6-382c-4d16-be3c-5da7d8aa2f66] Started GET "/issues" for

10.23.240.53 at 2024-01-27 13:24:03 +0100

I, [2024-01-27T13:24:03.238327 #59998]  INFO -- : [714436f6-382c-4d16-be3c-5da7d8aa2f66] Processing by

IssuesController#index as HTML

I, [2024-01-27T13:24:03.242321 #59998]  INFO -- : [714436f6-382c-4d16-be3c-5da7d8aa2f66]   Current user: redsoul (id=18)

I, [2024-01-27T13:24:03.247670 #59998]  INFO -- : [714436f6-382c-4d16-be3c-5da7d8aa2f66]   Rendered common/error.html.erb

within layouts/base (Duration: 0.1ms | Allocations: 55)

I, [2024-01-27T13:24:03.272096 #59998]  INFO -- : [714436f6-382c-4d16-be3c-5da7d8aa2f66]   Rendered layout

layouts/base.html.erb (Duration: 24.6ms | Allocations: 12674)

I, [2024-01-27T13:24:03.272309 #59998]  INFO -- : [714436f6-382c-4d16-be3c-5da7d8aa2f66] Completed 404 Not Found in 34ms

(Views: 22.3ms | ActiveRecord: 5.1ms | Allocations: 15045)

The server was updated 6 monts ago and working fine with Plugins except for one plugin i.e. Redmine UP Agile Plugin which is

giving "500 Internal Server Error". We currently not using this plugin but its one of our most wanted Plugin.

But i tried available solutions in Internet except migrating the DB Dump to new server then the "404 Error appeared"

I, [2023-09-29T14:10:40.708375 #1174] INFO -- : [f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] Started GET "/projects/visorkot/issues"

for 10.23.9.29 at 2023-09-29 14:10:40 +0200

I, [2023-09-29T14:10:40.709674 #1174] INFO -- : [f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] Processing by IssuesController#index as

HTML

I, [2023-09-29T14:10:40.709733 #1174] INFO -- : [f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] Parameters: {"project_id"=>"visorkot"}

I, [2023-09-29T14:10:40.719703 #1174] INFO -- : [f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] Current user: redsoul (id=158)

I, [2023-09-29T14:10:40.752393 #1174] INFO -- : [f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] Completed 500 Internal Server Error in

43ms (ActiveRecord: 12.2ms | Allocations: 11536)

F, [2023-09-29T14:10:40.752984 #1174] FATAL -- : [f5c2955c-fae6-4efb-8e4f-a54e5de01c3b]

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] Psych::DisallowedClass (Tried to load unspecified class: ActionController::Parameters):

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b]

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] app/models/setting.rb:111:in `value'

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] app/models/setting.rb:125:in `[]'
[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] app/models/setting.rb:320:in `plugin_redmine_agile'

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] plugins/redmine_agile/lib/redmine_agile.rb:71:in `color_base'

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] plugins/redmine_agile/lib/redmine_agile/patches/issue_query_patch.rb:28:in

`issues_with_agile'

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] app/controllers/issues_controller.rb:55:in `block (2 levels) in index'

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] app/controllers/issues_controller.rb:51:in `index'

[f5c2955c-fae6-4efb-8e4f-a54e5de01c3b] lib/redmine/sudo_mode.rb:61:in `sudo_mode'

Here is the

Information

Redmine 5.0.4.stable

Default administrator account changed

Attachments directory writable

Plugin assets directory writable (./public/plugin_assets)

All database migrations have been run

MiniMagick available (optional)

ImageMagick convert available (optional)

ImageMagick PDF support available (optional)

System info:    Linux SRVR-GO-RDMN 6.1.0-15-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.66-1 (2023-12-09) x86_64

GNU/Linux

Uptime:    3 days

Redmine Plugin Kit:    1.0.4

Environment:

Redmine version                5.0.4.stable

Ruby version                   3.1.2-p20 (2022-04-12) [x86_64-linux-gnu]

Rails version                  6.1.7.4

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

SCM:

Subversion                     1.14.2

Git                            2.39.2

Filesystem

Redmine plugins:

additional_tags                1.0.7

additionals                    3.0.8

redmine_drawio                 1.4.4

redmine_x_assets               2.1.6

redmine_x_gantt                2.1.5

redmine_x_issue_list           1.0.8

redmine_x_project_templates    1.1.2

redmine_x_resources            2.1.8

redmine_x_statistics           1.1.4

Please help to trouble shooting  by sharing your suggestions.

Thanks in advance :D

History

#1 - 2024-01-29 11:48 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

This issue appears to be caused by a plugin, not Redmine itself. Please contact the plugin developer(s) for support.

#2 - 2024-01-31 03:07 - Pavan Pulaparthi

- File red.png added

Hi Holger Just,
Thanks but All Plugins were Uninstalled but still the 404 issue persists.

Here is the log:

I, [2024-01-31T02:55:30.738198 #224185]  INFO -- : [704eb609-11ad-4062-99d9-6813844a600e] Started GET "/activity" for 10.23.240.53 at

2024-01-31 02:55:30 +0100

I, [2024-01-31T02:55:30.739063 #224185]  INFO -- : [704eb609-11ad-4062-99d9-6813844a600e] Processing by ActivitiesController#index as HTML

I, [2024-01-31T02:55:30.743581 #224185]  INFO -- : [704eb609-11ad-4062-99d9-6813844a600e]   Current user: redsoul (id=158)

I, [2024-01-31T02:55:35.547289 #224185]  INFO -- : [704eb609-11ad-4062-99d9-6813844a600e]   Rendered activities/index.html.erb within

layouts/base (Duration: 4478.1ms | Allocations: 1413896)

I, [2024-01-31T02:55:35.566080 #224185]  INFO -- : [704eb609-11ad-4062-99d9-6813844a600e]   Rendered layout layouts/base.html.erb (Duration:

4497.0ms | Allocations: 1422227)

I, [2024-01-31T02:55:35.566363 #224185]  INFO -- : [704eb609-11ad-4062-99d9-6813844a600e] Completed 200 OK in 4827ms (Views: 3863.5ms |

ActiveRecord: 719.4ms | Allocations: 1525415)

I, [2024-01-31T02:55:37.472953 #224185]  INFO -- : [6f2e0ac2-644b-4c8a-b384-27adf6f653b4] Started GET "/issues" for 10.23.240.53 at 2024-01-31

02:55:37 +0100

I, [2024-01-31T02:55:37.473770 #224185]  INFO -- : [6f2e0ac2-644b-4c8a-b384-27adf6f653b4] Processing by IssuesController#index as HTML

I, [2024-01-31T02:55:37.478420 #224185]  INFO -- : [6f2e0ac2-644b-4c8a-b384-27adf6f653b4]   Current user: redsoul (id=158)

I, [2024-01-31T02:55:37.483654 #224185]  INFO -- : [6f2e0ac2-644b-4c8a-b384-27adf6f653b4]   Rendered common/error.html.erb within

layouts/base (Duration: 0.1ms | Allocations: 27)

I, [2024-01-31T02:55:37.505279 #224185]  INFO -- : [6f2e0ac2-644b-4c8a-b384-27adf6f653b4]   Rendered layout layouts/base.html.erb (Duration:

21.8ms | Allocations: 8488)

I, [2024-01-31T02:55:37.505594 #224185]  INFO -- : [6f2e0ac2-644b-4c8a-b384-27adf6f653b4] Completed 404 Not Found in 32ms (Views: 19.4ms |

ActiveRecord: 5.0ms | Allocations: 10726)

 

Could you please help me to trouble shoot the issue!

Thqanks

#3 - 2024-01-31 06:19 - Go MAEDA

How about temporarily changing the Redmine code to the following? A detailed message of the exception that might have caused the 404 error will

be logged in production.log. It will help you investigate the cause.

diff --git a/app/controllers/journals_controller.rb b/app/controllers/journals_controller.rb

index 9b26f1994..b85640d9d 100644

--- a/app/controllers/journals_controller.rb

+++ b/app/controllers/journals_controller.rb

@@ -40,7 +40,8 @@ class JournalsController < ApplicationController

     end

     @title = (@project ? @project.name : Setting.app_title) + ": " + (@query.new_record? ? l(:label_changes_d

etails) : @query.name)

     render :layout => false, :content_type => 'application/atom+xml'

-  rescue ActiveRecord::RecordNotFound

+  rescue ActiveRecord::RecordNotFound => e

+    Rails.logger.info e.full_message

     render_404

   end

Files

red.png 11.2 KB 2024-01-31 Pavan Pulaparthi
